Subject: Re: gnu-win32: Linking with Exceed's X and Motif libraries
From: [email-masked] (Jeffrey P. Zimmerman)

24 Sep 1998 10:54:57 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Gagnon, Benoit: CIO" <[email-masked]>,
        "[email-masked]'" <[email-masked]>,
        Norbert Bedoucha <[email-masked]>

Gagnon, Benoit: CIO wrote:

> Hi,
> I am a student at Sherbrooke University (Canada), and I am working at
> Industry Canada for the semester. I was wondering if you ever got an answer
> to your linking problem. I'm trying to link to a xxx.lib file and i'm
> getting similar warnings as you did.
> Here is an example:
>
> /Cygnus/B19/H-i386-cygwin32/i386-cygwin32/bin/ld.exe:
> extr_api.lib(extr_api.dll): warning: ignoring duplicate section `.text'
> /Cygnus/B19/H-i386-cygwin32/i386-cygwin32/bin/ld.exe:
> extr_api.lib(extr_api.dll): warning: ignoring duplicate section `.idata
> $5'
>
> Thanks a lot
> Benoit
>
> >Has anyone out there attempted to link with Exceed's X and Motif
> >libraries?  When I made the attempt, I got a huge amount of warnings and
> >a few errors.  Exceed requires MS Visual C/C++, with their X and Motif
> >resource kit, but I figured I would give it a shot with gcc.
> >
> >Examples:
> >warning:  ignoring duplicate section `.idata$5'
> >warning:  ignoring duplicate section `.text'
> >multiple definition of `.idata$2'
> >
> >I admit to having no knowledge of dlls or NT programming.  Therefore,
> >.idata$5 means nothing to me (assuming that even has anything to do with
> >dlls).  Also, please excuse my ignorance on how things link together,
> >etc....I'm used to easily linking in libXXX.a files.  These are XXX.lib
> >files with references to dlls (I checked out the symbols with nm).
> >
> >Thanks for any help you can give me.
> >Jeff
> >[email-masked]

Benoit,

Actually, I did...in a way.  It ended up with Hummingbird (the creators of
Exceed) doing some work for us.  They were very good about helping out as much
as they could.  Without any previous knowledge of Cygwin32, they were still
willing to put some of their engineers on the problem.  After a couple of
weeks of work, they came up with some compatible libXX.a files and a few new
"interface" dlls.  They sent the new files to me as a "Proof of Concept"
product, I installed them, and everything just worked...and very well!!!  All
warnings were gone and everything looked and worked as it was
expected....which did NOT happen with Lesstif (a free version of Motif).
Right now, we are stuck on legal stuff, but hopefully, if a lot of other
people show interest, we can get passed that.

What I would suggest is to send email to Norbert Bedoucha
([email-masked]) at Hummingbird.  He may be willing to send you a
"demo" version of what they sent me.   If nothing else, it will show that
there is other interest out there besides our company.  Let him know that you
are trying to link Cygwin32 based code with Exceed.  Hopefully he can help.
With enough interest, they may be willing to release a Beta/Test version or
something.  You never know....they were pretty good about helping me!!!

Good Luck,
Jeff Zimmerman
[email-masked]

PS Let me know what happens...or just post it on the Cygwin32 mailing
list....so EVERYONE can know the outcome.  : )

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".